

html{
	-webkit-text-size-adjust: none;
	text-size-adjust: none;
    -webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
}

body { 
	padding: 0 0;
	margin: 0;
}
.bh-image-background,
.bhBackgroundImage{
	height: 100%;
	background-position: center center;
	background-size: cover;
	background-repeat: no-repeat;
}
a{
	color: inherit;
	text-decoration: none;
}
h1, h2, h3, h4, h5, h6, p{
	margin-top: 0;
}
input[type="submit"]{
	-webkit-appearance: none;
}

ul.navi, .navi li, .navi a {
    margin: 0;
    padding: 0;
    list-style-type: none;
    display: block;
}


/*
.bh-bemode .jstree-rename-input {
	line-height: 23px !important;
	height: 23px !important;
}
*/
#bhe-pane,
.bhe-picture-pixelinfo {
	line-height: initial;
}

.bhElement {
	box-sizing: content-box;
}

/*
	CLEARFIX
*/
.bh-clearfix:after { 
	visibility: hidden; 
	display: block; 
	font-size: 0; 
	content: " "; 
	clear: both; 
	height: 0; 
}
.bh-clearfix{ 
	display: block; 
}

/*
	CENTERED	
*/
.bh-centered,
.bh-centered-content > .bhElement {
    margin-left: auto;
    margin-right: auto;
    max-width: 960px;
}
.bh-centered.bh-width-small {
	max-width: 600px;
}
.bh-centered.bh-width-720 {
	max-width: 720px;
}
.bh-centered.bh-width-normal {
	max-width: 960px;
}
.bh-centered.bh-width-1024 {
	max-width: 1024px;
}
.bh-centered.bh-width-1200 {
	max-width: 1200px;
}
.bh-centered.bh-width-breakout {
	max-width: 1440px;
}
.bh-centered.bh-width-large {
	max-width: 1600px;
}
.bh-centered.bh-width-full {
	max-width: 1920px;
}
.bh-centered.bh-width-max {
	max-width: none;
}

/*
	MARGIN	
*/
/* logged in */
.bh-bemode .bhContainer:not(.style-flex-container) > .bhElement:nth-last-child(+1),
.bh-bemode.bhe-state-editing .bhContainer:not(.style-flex-container) > .bhElement:nth-last-child(+2),
/* letztes element */
.bhContainer:not(.style-flex-container) > .bhElement:last-child,
.bh-bodytext > *:last-child,
.bhFadecontainer > .bhContainer > .bhElement,
/* empty dropzones */
.bhe-state-content-empty, .bhe-state-dragging .bhe-state-content-inherited {
	margin-bottom: 0 !important;
}

.bhElement,
.bhElement.bhText {
	margin-bottom: 4rem;
}
.bh-bodytext > * {
	margin-bottom: 1.5rem;
}

.bh-margin,
.bhElement.bh-margin,
.bhAccordeonItem.bhAccordeonItem.accordeon-last{
	margin-bottom: 4rem;
}
.bh-margin-none,
.bhElement.bh-margin-none,
.bh-margin-desktop-none,
.bhElement.bh-margin-desktop-none{
	margin-bottom: 0;
}
.bh-margin-xsmall,
.bhElement.bh-margin-xsmall{
	margin-bottom: 1rem;
}
.bh-margin-small,
.bhElement.bh-margin-small{
	margin-bottom: 2rem;
}
.bh-margin-normal,
.bhElement.bh-margin-normal{
	margin-bottom: 4rem;
}
.bh-margin-large,
.bhElement.bh-margin-large{
	margin-bottom: 8rem;
}
.bh-margin-120,
.bhElement.bh-margin-120{
	margin-bottom: 12rem;
}
.bh-margin-section,
.bhElement.bh-margin-section{
	margin-bottom: 16rem;
}

@media (max-width: 1024px) {
	.bhElement,
	.bhElement.bhText,
	.bhAccordeonItem.bhAccordeonItem.accordeon-last {
		margin-bottom: 3rem;
	}
	.bh-bodytext > * {
		margin-bottom: 2rem;
	}
	
	.bh-margin,
	.bhElement.bh-margin{
		margin-bottom: 3rem;
	}
	.bh-margin-none,
	.bhElement.bh-margin-none,
	.bh-margin-desktop-none,
	.bhElement.bh-margin-desktop-none{
		margin-bottom: 0;
	}
	.bh-margin-xsmall,
	.bhElement.bh-margin-xsmall{
		margin-bottom: 0.8rem;
	}
	.bh-margin-small,
	.bhElement.bh-margin-small{
		margin-bottom: 2rem;
	}
	.bh-margin-normal,
	.bhElement.bh-margin-normal{
		margin-bottom: 4rem;
	}
	.bh-margin-large,
	.bhElement.bh-margin-large{
		margin-bottom: 6rem;
	}
	.bh-margin-120,
	.bhElement.bh-margin-120{
		margin-bottom: 8rem;
	}
	.bh-margin-section,
	.bhElement.bh-margin-section{
		margin-bottom: 12rem;
	}
}




@media (max-width: 767px) {
	.bhElement,
	.bhElement.bhText,
	.bhAccordeonItem.bhAccordeonItem.accordeon-last {
		margin-bottom: 1.5rem;
	}
	.bh-bodytext > * {
		margin-bottom: 1.5rem;
	}
	
	.bh-margin,
	.bhElement.bh-margin{
		margin-bottom: 2rem;
	}
	.bh-margin-none,
	.bhElement.bh-margin-none,
	.bh-margin-desktop-none,
	.bhElement.bh-margin-desktop-none{
		margin-bottom: 0;
	}
	.bh-margin-xsmall,
	.bhElement.bh-margin-xsmall{
		margin-bottom: 0.6rem;
	}
	.bh-margin-small,
	.bhElement.bh-margin-small{
		margin-bottom: 1rem;
	}
	.bh-margin-normal,
	.bhElement.bh-margin-normal{
		margin-bottom: 2rem;
	}
	.bh-margin-large,
	.bhElement.bh-margin-large{
		margin-bottom: 3rem;
	}
	
	.bh-margin-120,
	.bhElement.bh-margin-120{
		margin-bottom: 3rem;
	}
	.bh-margin-section,
	.bhElement.bh-margin-section{
		margin-bottom: 6rem;
	}
}



/*
	PADDING	
*/


.bh-padding-v,
.bh-padding-v-normal {
	padding-top: 4rem;
	padding-bottom: 4rem;
}
.bh-padding-v-none {
	padding-top: 0;
	padding-bottom: 0;
}

.bh-padding-v-small{
	padding-top: 2rem;
	padding-bottom: 2rem;
}
.bh-padding-v-large {
	padding-top: 8rem;
	padding-bottom: 8rem;
}
.bh-padding-v-120{
	padding-top: 12rem;
	padding-bottom: 12rem;
}
.bh-padding-v-xlarge {
	padding-top: 16rem;
	padding-bottom: 16rem;
}

.bh-padding-h,
.bh-padding-h-normal {
	padding-left: 2rem;
	padding-right: 2rem;
}
.bh-padding-h-none {
	padding-left: 0;
	padding-right: 0;
}
.bh-padding-h-large {
	padding-left: 4rem;
	padding-right: 4rem;
}
.bh-padding-h-60{
	padding-left: 6rem;
	padding-right: 6rem;
}
.bh-padding-h-xlarge {
	padding-left: 8rem;
	padding-right: 8rem;
}


@media (max-width: 1024px) {
	.bh-padding-v,
	.bh-padding-v-normal {
		padding-top: 3rem;
		padding-bottom: 3rem;
	}
	.bh-padding-v-none {
		padding-top: 0;
		padding-bottom: 0;
	}
	
	.bh-padding-v-small{
		padding-top: 1rem;
		padding-bottom: 1rem;
	}
	.bh-padding-v-large {
		padding-top: 4rem;
		padding-bottom: 4rem;
	}
	.bh-padding-v-120{
		padding-top: 6rem;
		padding-bottom: 6rem;
	}
	.bh-padding-v-xlarge {
		padding-top: 8rem;
		padding-bottom: 8rem;
	}
	
	.bh-padding-h,
	.bh-padding-h-normal {
		padding-left: 1rem;
		padding-right: 1rem;
	}
	.bh-padding-h-none {
		padding-left: 0;
		padding-right: 0;
	}
	.bh-padding-h-large {
		padding-left: 2rem;
		padding-right: 2rem;
	}
	.bh-padding-h-60{
		padding-left: 3rem;
		padding-right: 3rem;
	}
	.bh-padding-h-xlarge {
		padding-left: 4rem;
		padding-right: 4rem;
	}

}


@media (max-width: 767px) {
	.bh-padding-v,
	.bh-padding-v-normal {
		padding-top: 2rem;
		padding-bottom: 2rem;
	}
	.bh-padding-v-none {
		padding-top: 0;
		padding-bottom: 0;
	}
	
	.bh-padding-v-small{
		padding-top: 0.5rem;
		padding-bottom: 0.5rem;
	}
	.bh-padding-v-large {
		padding-top: 2rem;
		padding-bottom: 2rem;
	}
	.bh-padding-v-120{
		padding-top: 3rem;
		padding-bottom: 3rem;
	}
	.bh-padding-v-xlarge {
		padding-top: 4rem;
		padding-bottom: 4rem;
	}
	
	.bh-padding-h,
	.bh-padding-h-normal {
		padding-left: 0.5rem;
		padding-right: 0.5rem;
	}
	.bh-padding-h-none {
		padding-left: 0;
		padding-right: 0;
	}
	.bh-padding-h-large {
		padding-left: 1rem;
		padding-right: 1rem;
	}
	.bh-padding-h-60{
		padding-left: 2rem;
		padding-right: 2rem;
	}
	.bh-padding-h-xlarge {
		padding-left: 2rem;
		padding-right: 2rem;
	}

}


/*
	COLS
*/
.bh-cols {
	display: flex;
	flex-wrap: wrap;
}
.bh-cols > .bh-col {
	flex-shrink: 0;
	box-sizing: border-box;
	margin-left: 0 !important;
	margin-right: 0 !important;
}

/* 
	Col Gaps 
*/

/* normal */
.bh-cols {
	margin-left: -2rem;
	margin-right: -2rem;
}
.bh-col {
	padding-left: 2rem;
	padding-right: 2rem;
}

/* small */
.bh-cols.bh-col-gaps-small {
	margin-left: -1rem;
	margin-right: -1rem;
}
.bh-col-gaps-small > .bh-col {
	padding-left: 1rem;
	padding-right: 1rem;
}


.bh-cols.bh-col-gaps-large {
	margin-left: -4rem;
	margin-right: -4rem;
}
.bh-col-gaps-large > .bh-col {
	padding-left: 4rem;
	padding-right: 4rem;
}


/* none */
.bh-cols.bh-col-gaps-none {
	margin: 0;
}
.bh-col-gaps-none > .bh-col {
	padding: 0;
}

@media only screen and (max-width : 1024px) {
	
}
@media only screen and (max-width : 767px) {
	/* normal */
	.bh-cols {
		margin-left: -1rem;
		margin-right: -1rem;
	}
	.bh-col {
		padding-left: 1rem;
		padding-right: 1rem;
	}
	.bh-margin-desktop-none,
	.bhElement.bh-margin-desktop-none{
		margin-bottom: 3rem;
	}
}

/* TODO schaun ob das überall passt */
.bh-col-gaps-none .bhElement {
	margin-bottom: 0 !important;
}


.bh-cols > .bh-col-1 {
   width: 8.33333333%;
}

.bh-cols > .bh-col-2,
.bh-cols-6 > .bh-col {
   width: 16.66666%;
}

.bh-cols-5 > .bh-col {
   width: 20%;
}

.bh-cols > .bh-col-3,
.bh-cols-4 > .bh-col {
   width: 25%;
}

.bh-cols > .bh-col-4,
.bh-cols-3 > .bh-col {
   width: 33.33333%;
}

.bh-cols > .bh-col-6,
.bh-cols-2 > .bh-col {
   width: 50%;
}

.bh-cols > .bh-col-8 {
   width: calc( 200% / 3 );
}

.bh-cols > .bh-col-9 {
   width: 75%;
}

.bh-cols > .bh-col-12 {
   width: 100%;
}



@media only screen and (max-width: 767px) {
	.bh-cols {
		margin-left: 0rem !important;
		margin-right: 0rem !important;
	}
	.bh-col {
		width: 100% !important;
		padding-left: 0rem !important;
		padding-right: 0rem !important;
	}
	.bh-cols:not(.bh-col-gaps-none) > .bh-col {
		margin-bottom: 3rem;
	}
	
	.bh-col:last-child {
		margin-bottom: 0px !important;
	}
}

.bh-centered-content > .bhContainer > .bhElement,
.bh-layout > .bhContainer > .bh-layout,
.style-spacing{
	padding-left: 4rem;
	padding-right: 4rem;
}

@media only screen and (max-width : 1024px) {
	.bh-centered-content > .bhContainer > .bhElement,
	.bh-layout > .bhContainer > .bh-layout,
	.style-spacing{
		padding-left: 3rem;
		padding-right: 3rem;
	}
}
@media only screen and (max-width : 767px) {
	.bh-centered-content > .bhContainer > .bhElement,
	.bh-layout > .bhContainer > .bh-layout,
	.style-spacing{
		padding-left: 2rem;
		padding-right: 2rem;
	}
}

/* spacing zurücksetzen */
.el-text .style-spacing,
.el-cols .style-spacing,
.el-fiftyfifty .style-spacing{
	padding-left: 0;
	padding-right: 0;
}




/* ----- INVIEW FADE ----- */

body:not(.bhe-state-editing) .bh-fade-in,
body:not(.bhe-state-editing) .bh-fade-top,
body:not(.bhe-state-editing) .bh-fade-bottom,
body:not(.bhe-state-editing) .bh-fade-left,
body:not(.bhe-state-editing) .bh-fade-right{
	opacity: 0;
	-webkit-transition: all 1.2s;
	transition: all 1.2s;
	-webkit-transition-delay: .2s;
	transition-delay: .2s;
}
body:not(.bhe-state-editing) .bh-fade-top {
	top: -10rem;
}
body:not(.bhe-state-editing) .bh-fade-bottom {
	top: 10rem;
}
body:not(.bhe-state-editing) .bh-fade-left {
	left: -10rem;
}
body:not(.bhe-state-editing) .bh-fade-right {
	left: 10rem;
}

body:not(.bhe-state-editing) .inviewactive:not(.cssFaderArrow) {
	opacity: 1;
	top: 0; left: 0; bottom: 0; right: 0;
}